Register for an event occurrence
Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.
All HTTP operationsPOST
Creates a customer or guest event registration through the capacity-safe lifecycle path. The event and tenant calendar must be published and public or unlisted.
header
X-Publishable-Key<token>Tenant publishable key for authentication (sent via X-Publishable-Key header)
application/json- body
[key: string]?anyRegistration result with optional guest token
application/json- response
[key: string]?anyExamples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.
curl -X POST 'https://api.01.software/api/event-registrations/register' \ -H 'Content-Type: application/json' \ -d '{ "event": "event_123", "occurrence": "occ_123", "attendee": { "email": "guest@example.com", "name": "Guest" }, "quantity": 1}'Example Response
{}